swf_labelframe
swf_modifyobject
SWF Functions
PHP Manual

# swf_lookat

Define a viewing transformation

### Description

void swf_lookat ( float `$view_x` , float `$view_y` , float `$view_z` , float `$reference_x` , float `$reference_y` , float `$reference_z` , float `$twist` )

Defines a viewing transformation by giving the viewing position and the coordinates of a reference point in the scene.

### Parameters

`view_x`

  x-coordinate for the viewing position

`view_y`

  y-coordinate for the viewing position

`view_z`

  z-coordinate for the viewing position

`reference_x`

  x-coordinate for the reference point

`reference_y`

  y-coordinate for the reference point

`reference_z`

  z-coordinate for the reference point

`twist`

  Controls the rotation along with viewer's z axis.

### Return Values

No value is returned.

### Examples

Example #1 A simple 3D-rotation around a text

`<?php
header('Content-type: application/x-shockwave-flash');
swf_openfile("php://stdout", 320, 200, 25, 1, 1, 1);
swf_ortho(-100, 100, -100, 100, -100, 100); // create 3D coordinates
swf_definefont(0, "Pix3");
swf_addcolor(0, 0, 0, 1);
swf_fontsize(10);
swf_fonttracking(0.2);
for ($i = 0; $i < 628; $i += 8) {
$j = $i / 100;
swf_pushmatrix();
swf_translate(0, 0, 0);
swf_perspective(100, 1, 0, 10);
swf_lookat(sin($j) * 60, 50, cos($j) * 60, 0, 0, 0, 0);
swf_definetext (1, 'HotKey@', 0);
swf_translate(-50,0,0);
swf_placeobject(1,10);
swf_definetext(2, 'example.com', 0);
swf_translate(55, 0, 0);
swf_placeobject(2, 11);
swf_showframe();
swf_removeobject(10);
swf_removeobject(11);
swf_popmatrix();
}
swf_closefile();
?>`